﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace EHEC_Server
{
    // NOTE: You can use the "Rename" command on the "Refactor" menu to change the interface name "IService" in both code and config file together.
    [ServiceContract]
    public interface IService
    {
        [OperationContract]
        void CreateRandomData(Doctor doctor);

        [OperationContract]
        void WriteDoctor(Doctor doctor);

        [OperationContract]
        void WritePatient(Patient patient);

        [OperationContract]
        void WriteOrigin(Origin origin);

        [OperationContract]
        void WriteExam(Exam exam);

        [OperationContract]
        void WriteResult(Result result);


    }
}
